Express Route Circuits - Get

Gets information about the specified express route circuit.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/expressRouteCircuits/{circuitName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
circuitName
path True

string

The name of express route circuit.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ExpressRouteCircuit

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get ExpressRouteCircuit
Get MultiCloud ExpressRouteCircuit

Get ExpressRouteCircuit

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName?api-version=2026-01-01

Sample response

{
  "name": "circuitName",
  "type": "Microsoft.Network/expressRouteCircuits",
  "etag": "w/\\00000000-0000-0000-0000-000000000000\\",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName",
  "location": "westus",
  "properties": {
    "allowClassicOperations": false,
    "authorizations": [],
    "circuitProvisioningState": "Enabled",
    "peerings": [],
    "provisioningState": "Succeeded",
    "serviceKey": "a1410692-0000-4ceb-b94a-b90b94d398d1",
    "serviceProviderProperties": {
      "bandwidthInMbps": 200,
      "peeringLocation": "peeringLocation",
      "serviceProviderName": "providerName"
    },
    "resiliencyLevel": "Standard",
    "serviceProviderProvisioningState": "NotProvisioned"
  },
  "sku": {
    "name": "Standard_MeteredData",
    "family": "MeteredData",
    "tier": "Standard"
  }
}

Get MultiCloud ExpressRouteCircuit

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName?api-version=2026-01-01

Sample response

{
  "name": "circuitName",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/expressRouteCircuits/circuitName",
  "etag": "W/\"00000000-0000-0000-0000-000000000000\"",
  "type": "Microsoft.Network/expressRouteCircuits",
  "location": "eastus2euap",
  "properties": {
    "provisioningState": "Succeeded",
    "authorizations": [],
    "serviceProviderProperties": {
      "serviceProviderName": "AWS",
      "peeringLocation": "uswest2",
      "bandwidthInMbps": 200
    },
    "partnerAccountId": "123-456-789",
    "activationKey": "ew0KICAic2hhcmVkQ29ubmVjdGlvblV1aWQiOiAiM2YxYTZjOWUtOGIzZi00YjllLTljM2EtMmU2ZDdmNGExYzU5IiwNCiAgImNvbm5lY3Rpb25TaXplTWJwcyI6IDIwMCwNCiAgImRlc3RpbmF0aW9uQWNjb3VudCI6ICI3ZDc0N2VlZC1iNDRjLTQyNTctOGQ0My1kZjllYmQ5NDU0NmIiDQp9",
    "resiliencyLevel": "Maximum",
    "circuitProvisioningState": "Enabled",
    "allowClassicOperations": false,
    "serviceKey": "a1410692-0000-4ceb-b94a-b90b94d398d1",
    "serviceProviderProvisioningState": "DeProvisioned"
  },
  "sku": {
    "name": "MultiCloud_MeteredData",
    "tier": "MultiCloud",
    "family": "MeteredData"
  }
}

Definitions

Name Description
AdvertisedPublicPrefixProperties

Prefix properties required to perform validation using openssl signature.

AdvertisedPublicPrefixPropertiesValidationState

Advertised Public Prefix State that denotes if the prefix is validated or not.

AuthorizationUseStatus

The authorization use status.

CircuitConnectionStatus

Express Route Circuit connection state.

CloudError

An error response from the service.

CloudErrorBody

An error response from the service.

ExpressRouteCircuit

ExpressRouteCircuit resource.

ExpressRouteCircuitAuthorization

Authorization in an ExpressRouteCircuit resource.

ExpressRouteCircuitConnection

Express Route Circuit Connection in an ExpressRouteCircuitPeering resource.

ExpressRouteCircuitPeering

Peering in an ExpressRouteCircuit resource.

ExpressRouteCircuitPeeringAdvertisedPublicPrefixState

The advertised public prefix state of the Peering resource.

ExpressRouteCircuitPeeringConfig

Specifies the peering configuration.

ExpressRouteCircuitPeeringState

The state of peering.

ExpressRouteCircuitServiceProviderProperties

Contains ServiceProviderProperties in an ExpressRouteCircuit.

ExpressRouteCircuitSku

Contains SKU in an ExpressRouteCircuit.

ExpressRouteCircuitSkuFamily

The family of the SKU.

ExpressRouteCircuitSkuTier

The tier of the SKU.

ExpressRouteCircuitStats

Contains stats associated with the peering.

ExpressRouteConnectionId

The ID of the ExpressRouteConnection.

ExpressRoutePeeringState

The state of peering.

ExpressRoutePeeringType

The peering type.

Ipv6CircuitConnectionConfig

IPv6 Circuit Connection properties for global reach.

Ipv6ExpressRouteCircuitPeeringConfig

Contains IPv6 peering config.

PeerExpressRouteCircuitConnection

Peer Express Route Circuit Connection in an ExpressRouteCircuitPeering resource.

ProvisioningState

Provisioning states of a resource.

ResiliencyLevel

The resiliency level of the ExpressRoute circuit.

ServiceProviderProvisioningState

The ServiceProviderProvisioningState state of the resource.

SubResource

Reference to another subresource.

AdvertisedPublicPrefixProperties

Prefix properties required to perform validation using openssl signature.

Name Type Description
prefix

string

Advertised Public Prefix.

signature

string

Signed string generated by encrypting validationId with a private key.

validationId

string

Validation string that contains circuit peering info.

validationState

AdvertisedPublicPrefixPropertiesValidationState

Advertised Public Prefix State that denotes if the prefix is validated or not.

AdvertisedPublicPrefixPropertiesValidationState

Advertised Public Prefix State that denotes if the prefix is validated or not.

Value Description
NotConfigured

NotConfigured

Configuring

Configuring

Configured

Configured

ValidationNeeded

ValidationNeeded

ValidationFailed

ValidationFailed

ManualValidationNeeded

ManualValidationNeeded

AsnValidationFailed

AsnValidationFailed

CertificateMissingInRoutingRegistry

CertificateMissingInRoutingRegistry

InvalidSignatureEncoding

InvalidSignatureEncoding

SignatureVerificationFailed

SignatureVerificationFailed

AuthorizationUseStatus

The authorization use status.

Value Description
Available

Available

InUse

InUse

CircuitConnectionStatus

Express Route Circuit connection state.

Value Description
Connected

Connected

Connecting

Connecting

Disconnected

Disconnected

CloudError

An error response from the service.

Name Type Description
error

CloudErrorBody

Cloud error body.

CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ExpressRouteCircuit

ExpressRouteCircuit resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.activationKey

string

Activation Key from partner cloud provider.

properties.allowClassicOperations

boolean

Allow classic operations.

properties.authorizationKey

string

The authorizationKey.

properties.authorizationStatus

string

The authorization status of the Circuit.

properties.authorizations

ExpressRouteCircuitAuthorization[]

The list of authorizations.

properties.bandwidthInGbps

number (float)

The bandwidth of the circuit when the circuit is provisioned on an ExpressRoutePort resource.

properties.circuitProvisioningState

string

The CircuitProvisioningState state of the resource.

properties.enableDirectPortRateLimit

boolean

Flag denoting rate-limiting status of the ExpressRoute direct-port circuit.

properties.expressRouteLag

SubResource

The reference to the ExpressRouteLag resource when the circuit is provisioned on an ExpressRouteLag resource.

properties.expressRoutePort

SubResource

The reference to the ExpressRoutePort resource when the circuit is provisioned on an ExpressRoutePort resource.

properties.gatewayManagerEtag

string

The GatewayManager Etag.

properties.globalReachEnabled

boolean

Flag denoting global reach status.

properties.partnerAccountId

string

Account ID of customer account on partner cloud provider.

properties.peerings

ExpressRouteCircuitPeering[]

The list of peerings.

properties.provisioningState

ProvisioningState

The provisioning state of the express route circuit resource.

properties.resiliencyLevel

ResiliencyLevel

The resiliency level of the ExpressRoute circuit.

properties.serviceKey

string

The ServiceKey.

properties.serviceProviderNotes

string

The ServiceProviderNotes.

properties.serviceProviderProperties

ExpressRouteCircuitServiceProviderProperties

The ServiceProviderProperties.

properties.serviceProviderProvisioningState

ServiceProviderProvisioningState

The ServiceProviderProvisioningState state of the resource.

properties.stag

integer (int32)

The identifier of the circuit traffic. Outer tag for QinQ encapsulation.

sku

ExpressRouteCircuitSku

The SKU.

tags

object

Resource tags.

type

string

Resource type.

ExpressRouteCircuitAuthorization

Authorization in an ExpressRouteCircuit resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.authorizationKey

string

The authorization key.

properties.authorizationUseStatus

AuthorizationUseStatus

The authorization use status.

properties.connectionResourceUri

string

The reference to the ExpressRoute connection resource using the authorization.

properties.provisioningState

ProvisioningState

The provisioning state of the authorization resource.

type

string

Resource type.

ExpressRouteCircuitConnection

Express Route Circuit Connection in an ExpressRouteCircuitPeering resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.addressPrefix

string

/29 IP address space to carve out Customer addresses for tunnels.

properties.authorizationKey

string

The authorization key.

properties.circuitConnectionStatus

CircuitConnectionStatus

Express Route Circuit connection state.

properties.expressRouteCircuitPeering

SubResource

Reference to Express Route Circuit Private Peering Resource of the circuit initiating connection.

properties.ipv6CircuitConnectionConfig

Ipv6CircuitConnectionConfig

IPv6 Address PrefixProperties of the express route circuit connection.

properties.peerExpressRouteCircuitPeering

SubResource

Reference to Express Route Circuit Private Peering Resource of the peered circuit.

properties.provisioningState

ProvisioningState

The provisioning state of the express route circuit connection resource.

type

string

Resource type.

ExpressRouteCircuitPeering

Peering in an ExpressRouteCircuit resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.azureASN

integer (int32)

The Azure ASN.

properties.connections

ExpressRouteCircuitConnection[]

The list of circuit connections associated with Azure Private Peering for this circuit.

properties.expressRouteConnection

ExpressRouteConnectionId

The ExpressRoute connection.

properties.gatewayManagerEtag

string

The GatewayManager Etag.

properties.ipv6PeeringConfig

Ipv6ExpressRouteCircuitPeeringConfig

The IPv6 peering configuration.

properties.lastModifiedBy

string

Who was the last to modify the peering.

properties.microsoftPeeringConfig

ExpressRouteCircuitPeeringConfig

The Microsoft peering configuration.

properties.peerASN

integer (int64)

minimum: 1
maximum: 4294967295

The peer ASN.

properties.peeredConnections

PeerExpressRouteCircuitConnection[]

The list of peered circuit connections associated with Azure Private Peering for this circuit.

properties.peeringType

ExpressRoutePeeringType

The peering type.

properties.primaryAzurePort

string

The primary port.

properties.primaryPeerAddressPrefix

string

The primary address prefix.

properties.provisioningState

ProvisioningState

The provisioning state of the express route circuit peering resource.

properties.routeFilter

SubResource

The reference to the RouteFilter resource.

properties.secondaryAzurePort

string

The secondary port.

properties.secondaryPeerAddressPrefix

string

The secondary address prefix.

properties.sharedKey

string

The shared key.

properties.state

ExpressRoutePeeringState

The peering state.

properties.stats

ExpressRouteCircuitStats

The peering stats of express route circuit.

properties.vlanId

integer (int32)

The VLAN ID.

type

string

Resource type.

ExpressRouteCircuitPeeringAdvertisedPublicPrefixState

The advertised public prefix state of the Peering resource.

Value Description
NotConfigured

NotConfigured

Configuring

Configuring

Configured

Configured

ValidationNeeded

ValidationNeeded

ExpressRouteCircuitPeeringConfig

Specifies the peering configuration.

Name Type Description
advertisedCommunities

string[]

The communities of bgp peering. Specified for microsoft peering.

advertisedPublicPrefixInfo

AdvertisedPublicPrefixProperties[]

List of Prefix information required to perform validation.

advertisedPublicPrefixes

string[]

The reference to AdvertisedPublicPrefixes.

advertisedPublicPrefixesState

ExpressRouteCircuitPeeringAdvertisedPublicPrefixState

The advertised public prefix state of the Peering resource.

customerASN

integer (int32)

The CustomerASN of the peering.

legacyMode

integer (int32)

The legacy mode of the peering.

routingRegistryName

string

The RoutingRegistryName of the configuration.

ExpressRouteCircuitPeeringState

The state of peering.

Value Description
Disabled

Disabled

Enabled

Enabled

ExpressRouteCircuitServiceProviderProperties

Contains ServiceProviderProperties in an ExpressRouteCircuit.

Name Type Description
bandwidthInMbps

integer (int32)

The BandwidthInMbps.

peeringLocation

string

The peering location.

serviceProviderName

string

The serviceProviderName.

ExpressRouteCircuitSku

Contains SKU in an ExpressRouteCircuit.

Name Type Description
family

ExpressRouteCircuitSkuFamily

The family of the SKU.

name

string

The name of the SKU.

tier

ExpressRouteCircuitSkuTier

The tier of the SKU.

ExpressRouteCircuitSkuFamily

The family of the SKU.

Value Description
UnlimitedData

UnlimitedData

MeteredData

MeteredData

ExpressRouteCircuitSkuTier

The tier of the SKU.

Value Description
Standard

Standard

Premium

Premium

Basic

Basic

Local

Local

MultiCloud

MultiCloud tier for cross-cloud connectivity.

ExpressRouteCircuitStats

Contains stats associated with the peering.

Name Type Description
primarybytesIn

integer (int64)

The Primary BytesIn of the peering.

primarybytesOut

integer (int64)

The primary BytesOut of the peering.

secondarybytesIn

integer (int64)

The secondary BytesIn of the peering.

secondarybytesOut

integer (int64)

The secondary BytesOut of the peering.

ExpressRouteConnectionId

The ID of the ExpressRouteConnection.

Name Type Description
id

string

The ID of the ExpressRouteConnection.

ExpressRoutePeeringState

The state of peering.

Value Description
Disabled

Disabled

Enabled

Enabled

ExpressRoutePeeringType

The peering type.

Value Description
AzurePublicPeering

AzurePublicPeering

AzurePrivatePeering

AzurePrivatePeering

MicrosoftPeering

MicrosoftPeering

Ipv6CircuitConnectionConfig

IPv6 Circuit Connection properties for global reach.

Name Type Description
addressPrefix

string

/125 IP address space to carve out customer addresses for global reach.

circuitConnectionStatus

CircuitConnectionStatus

Express Route Circuit connection state.

Ipv6ExpressRouteCircuitPeeringConfig

Contains IPv6 peering config.

Name Type Description
microsoftPeeringConfig

ExpressRouteCircuitPeeringConfig

The Microsoft peering configuration.

primaryPeerAddressPrefix

string

The primary address prefix.

routeFilter

SubResource

The reference to the RouteFilter resource.

secondaryPeerAddressPrefix

string

The secondary address prefix.

state

ExpressRouteCircuitPeeringState

The state of peering.

PeerExpressRouteCircuitConnection

Peer Express Route Circuit Connection in an ExpressRouteCircuitPeering resource.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

name

string

Name of the resource.

properties.addressPrefix

string

/29 IP address space to carve out Customer addresses for tunnels.

properties.authResourceGuid

string

The resource guid of the authorization used for the express route circuit connection.

properties.circuitConnectionStatus

CircuitConnectionStatus

Express Route Circuit connection state.

properties.connectionName

string

The name of the express route circuit connection resource.

properties.expressRouteCircuitPeering

SubResource

Reference to Express Route Circuit Private Peering Resource of the circuit.

properties.peerExpressRouteCircuitPeering

SubResource

Reference to Express Route Circuit Private Peering Resource of the peered circuit.

properties.provisioningState

ProvisioningState

The provisioning state of the peer express route circuit connection resource.

type

string

Resource type.

ProvisioningState

Provisioning states of a resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting

ResiliencyLevel

The resiliency level of the ExpressRoute circuit.

Value Description
Standard

Standard resiliency level.

High

High resiliency level.

Maximum

Maximum resiliency level.

ServiceProviderProvisioningState

The ServiceProviderProvisioningState state of the resource.

Value Description
NotProvisioned

NotProvisioned

Provisioning

Provisioning

Provisioned

Provisioned

Deprovisioning

Deprovisioning

DeProvisioned

DeProvisioned State

SubResource

Reference to another subresource.

Name Type Description
id

string

Resource ID.